﻿@inherits ProjectTreeViewModel

<div class="row no-margin justify-content-center no-padding">
  <div class="container-fluid">
    <div class="form-group row">
      <h3>Структура Проекта</h3>
    </div>
    <div class="form-group w-100 row no-margin no-padding">
      <button class="btn btn-block btn-primary"
              onclick="@CreateFolderExecute">
        Новая папка
      </button>
    </div>
    <div class="form-group w-100 row no-margin no-padding">
      @if (Tree == null)
      {
        <p>Подождите...</p>
      }
      else
      {
        <TreeComponent Tree="@Tree"
                       OnExpandAsync="@OnExpandFolderAsync"
                       OnNodeChoose="@((p) => OnFolderSelect(p))"/>
      }
    </div>
  </div>
</div>
